std::__detail::_CharMatcher< _InIterT, _TraitsT > Struct Template Reference
Base and Implementation Classes

## Public Types

typedef _TraitsT::char_type | char_type

## Public Member Functions

| _CharMatcher (char_type __c, const _TraitsT &__t=_TraitsT())
bool | operator() (const _PatternCursor &__pc) const

## Public Attributes

char_type | _M_c
const _TraitsT & | _M_traits

## Detailed Description

### template<typename _InIterT, typename _TraitsT>
struct std::__detail::_CharMatcher< _InIterT, _TraitsT >

Matches a single character.

Definition at line 142 of file regex_nfa.h.

The documentation for this struct was generated from the following file:

- regex_nfa.h